RXDEBUG(1)

NAME
rxdebug - Provides debugging trace of Rx activity

SYNOPSIS
rxdebug -servers <server machine> [-port <IP port>]
    [-nodally] [-allconnections] [-rxstats] [-onlyserver]
    [-onlyclient] [-onlyport <show only port>]
    [-onlyhost <show only host>]
    [-onlyauth <show only auth level>] [-version]
    [-noconns] [-peers] [-help]

rxdebug -s <server machine> [-po <IP port>] [-nod]
    [-a] [-r] [-onlys] [-onlyc] [-onlyp <show only port>]
    [-onlyh <show only host>] [-onlya <show only auth level>]
    [-v] [-noc] [-pe] [-h]

DESCRIPTION
The rxdebug command provides a trace of Rx activity for the server or client machine named by the -servers argument. Rx is AFS's proprietary remote procedure call (RPC) protocol, so this command enables the issuer to check the status of communication between the Cache Manager or an AFS server process (as specified with the -port argument) on the machine and one or more processes on other machines.

OPTIONS

-servers <server machine>
    Specifies the machine that is running the Cache Manager or server process for which to trace Rx activity. Provide the machine's IP address in dotted decimal format, its fully qualified host name (for example, "fs1.abc.com"), or the shortest abbreviated form of its host name that distinguishes it from other machines. Successful use of an abbreviated form depends on the availability of a name resolution service (such as the Domain Name Service or a local host table) at the time the command is issued.

-port <IP port>
    Specifies the process for which to trace Rx activity. Omit this argument to specify the File Server (fileserver process), or provide one of the following values:

    7000 for the File Server (fileserver process)
    7001 for the Cache Manager (specifically, its callback interface)
    7002 for the Protection Server (ptserver process)
    7003 for the Volume Location (VL) Server (vlserver process)
    7004 for the Authentication Server (kaserver process)
    7005 for the Volume Server (volserver process)
    7007 for the BOS Server (bosserver process)
    7008 for the Update Server (upserver process)
    7009 for the NFS/AFS Translator's rmtsysd daemon
    7021 for the Backup Server (buserver process)

    Finally, specify 7025 through 65535 for the Backup Tape Coordinator (butc process) that has the port offset number derived by subtracting 7025 from this value.

-nodally
    Produces output only for connections that are not in dally mode.

-allconnections
    Produces output for all connections, even inactive ones. By default, the output includes information only for connections that are active or in dally mode when the rxdebug command is issued.

-rxstats
    Produces detailed statistics about Rx history and performance (for example, counts of the number of packets of various types the process has read and sent, calculations of average and minimum roundtrip time, and so on).

-onlyserver
    Produces output only for connections in which the process designated by the -port argument is acting as the server.

-onlyclient
    Produces output only for connections in which the process designated by the -port argument is acting as the client.

-onlyport <port>
    Produces output only for connections between the process designated by the -port argument and the specified port on any another machine. Use the same port identifiers as for the -port argument.

-onlyhost <host>
    Produces output only for connections between the process designated by the -port argument and any process on the specified machine. To identify the machine, use the same notation as for the -servers argument.

-onlyauth
    Produces output only for connections that are using the specified authentication level. Provide one of the following values:

    auth
        Connections at authentication level rxkad_auth

    clear
        Connections at authentication level rxkad_clear

    crypt
        Connections at authentication level rxkad_crypt

    none
        Unauthenticated connections (equivalents are "null", "noauth", and "unauth")

-version
    Reports the AFS build level of the binary file for the process designated by the -port argument (or of the kernel extensions file for port 7001, the Cache Manager's callback interface). Any other options combined with this one are ignored.

-noconns
    Produces only the standard statistics that begin the output produced by every option (other than -version), without reporting on any connections. Any other options combined with this one are ignored.

-peers
    Outputs information from the peer structure maintained for each port on another machine to which the process designated by the -port argument has a connection. There is information about roundtrip time and numbers of packets sent and received, for example.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
If any options other than -version or -help are provided, the output written to the standard output stream begins with basic statistics about packet usage and availability, how many calls are waiting for a thread, how many threads are free, and so on (this is the only information provided by the -noconns flag). Adding other options produces additional information as described in OPTIONS. The output is intended for debugging purposes and is meaningful to someone familiar with the implementation of Rx.

EXAMPLES
The following command shows Rx statistics on the server 192.168.1.100:

   % rxdebug  192.168.1.100
   Trying 192.168.1.100 (port 7000):
   Free packets: 265, packet reclaims: 0, calls: 0, used FDs: 34
   not waiting for packets.
   0 calls waiting for a thread
   11 threads are idle
   Done.

The following command shows the OpenAFS version running on the server 192.168.1.100:

   % rxdebug  192.168.1.100 -version
   Trying 192.168.1.100 (port 7000):
   AFS version:  OpenAFS 1.4.2fc2 built  2006-08-31

PRIVILEGE REQUIRED
None.

SEE ALSO
afsd(8), bosserver(8), buserver(8), butc(8), fileserver(8), kaserver(8), ptserver(8), upclient(8), upserver(8), vlserver(8), volserver(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.